Package: org.gradle.api.logging

## [Java] Class Logging

- org.gradle.api.logging.Logging

- The main entry point for Gradle's logging system. Gradle routes all logging via SLF4J. You can use either an SLF4J org.slf4j.Logger or a Gradle Logger to perform logging.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Map<Integer, LogLevel>` | `ANT_IVY_2_SLF4J_LEVEL_MAPPER` |
    `static org.slf4j.Marker` | `LIFECYCLE` |
    `static org.slf4j.Marker` | `QUIET` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static Logger` | `getLogger(Class c)` Returns the logger for the given class.
    `static Logger` | `getLogger(String name)` Returns the logger with the given name.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### @Deprecated public static final Map<Integer, LogLevel> ANT_IVY_2_SLF4J_LEVEL_MAPPER

    - #### public static final org.slf4j.Marker LIFECYCLE

    - #### public static final org.slf4j.Marker QUIET

  - ### Method Detail

    - #### public static Logger getLogger(Class c)

      Returns the logger for the given class.

      Parameters:
        `c` - the class.
      Returns:
        the logger. Never returns null.

    - #### public static Logger getLogger(String name)

      Returns the logger with the given name.

      Parameters:
        `name` - the logger name.
      Returns:
        the logger. Never returns null.